org.apache.lucene.search.spans

## Enum FilterSpans.AcceptStatus

- java.lang.Object
- - java.lang.Enum<FilterSpans.AcceptStatus>
  - - org.apache.lucene.search.spans.FilterSpans.AcceptStatus

- All Implemented Interfaces:
    Serializable, Comparable<FilterSpans.AcceptStatus>
  Enclosing class:
    FilterSpans

      public static enum FilterSpans.AcceptStatus
      extends Enum<FilterSpans.AcceptStatus>

  Status returned from `FilterSpans.accept(Spans)` that indicates whether a candidate match should be accepted, rejected, or rejected and move on to the next document.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` Indicates the match should be rejected
    `NO_MORE_IN_CURRENT_DOC` Indicates the match should be rejected, and the enumeration may continue with the next document.
    `YES` Indicates the match should be accepted

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterSpans.AcceptStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FilterSpans.AcceptStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final FilterSpans.AcceptStatus YES

      Indicates the match should be accepted

    - #### NO

          public static final FilterSpans.AcceptStatus NO

      Indicates the match should be rejected

    - #### NO_MORE_IN_CURRENT_DOC

          public static final FilterSpans.AcceptStatus NO_MORE_IN_CURRENT_DOC

      Indicates the match should be rejected, and the enumeration may continue with the next document.

  - ### Method Detail

    - #### values

          public static FilterSpans.AcceptStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterSpans.AcceptStatus c : FilterSpans.AcceptStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterSpans.AcceptStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.